Bug 34735 - pump does not honor -h hostname when renewing lease
pump does not honor -h hostname when renewing lease
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-04-04 11:43 EDT by Nathan Angelacos
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-16 09:32:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan Angelacos 2001-04-04 11:43:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT; ISM 2000)

Pump uses the -h (hostname) option when getting an initial dhcp lease, but 
always uses the hostname for renewal.

For instance, the hostname is "rocky", butthe network is Win2K with DDNS, 
and I need to specify that the hostname for dhcp/dns purposes is "lab01" 
(e.g. "nslookup lab01.our.domain" returns this box's dhcp assigned address)

setting DHCP_HOSTNAME="lab01" in /etc/rc.d/init.d/network-scripts/ifcfg-
eth0 works on the initial lease, but then pump reverts to "rocky" on the 

Reproducible: Always
Steps to Reproduce:
(tcpdumps of the traffic to the dhcp server included)

1. ifconfig eth0 down
2. pump -h lab01 -i eth0

- 09:41:36.896988 eth0 > >
-    xid:0x9eb5257c ether 0:50:da:7c:d0:2 vend-rfc1048 DHCP:DISCOVER 
-    HN:"lab01^@"
- 09:41:40.008061 eth0 > >
-    xid:0x9eb5257c secs:1024 ether 0:50:da:7c:d0:2 vend-rfc1048
-    DHCP:DISCOVER HN:"lab01^@"

3. nslookup <the leased ip> (works - returns lab01.our.domain)
4. pump -R

- 09:41:53.040446 eth0 > lab01.our.domain.bootpc >
-    dhcpsrv.our.domain.bootps:
-    xid:0x8fb5257c C:dhcpsrv.our.domain ether 0:50:da:7c:d0:2 
-    vend-rfc1048 DHCP:REQUEST HN:"rocky^@" LT:3232235520
- 09:41:53.042603 eth0 < dhcpsrv.our.domain.bootps >
-    lab01.our.domain.bootpc:
-    xid:0x8fb5257c Y:lab01.our.domain -ether 0:50:da:7c:d0:2 
-    vend-rfc1048 DHCP:ACK RN:134676480 RB:1309409280 LT:269352960
-    SID:dhcpsrv.our.domain -SM:

5. nslookup <the leased ip> (returns rocky.our.domain !!!!)

Actual Results:  On the initial nslookup, the name from the pump -h was 
returned.  (lab01)

After the forced renewal, the hostname and not the -h parameter was used.  
This also happens when the renewal happens because lease time has expired

Expected Results:  If -h is used with pump, I believe it should always use 
that value for the interface.  It should never use the machine's local 
hostname if a different value in -h is given. 

This is confirmed to still be a problem in pump-0.8.11-1
Comment 1 Elliot Lee 2001-09-11 17:58:53 EDT
Pump is now thankfully deprecated in favor of dhcpcd.

Apologies for the unresponsiveness of the previous pump packager.

Note You need to log in before you can comment on or make changes to this bug.